cURL
curl --request GET \ --url https://api.leen.dev/v1/itsm/users/{user_id} \ --header 'X-API-KEY: <api-key>' \ --header 'X-CONNECTION-ID: <api-key>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "email": "<string>", "status": "ACTIVE", "vendor_attributes": { "id": "<string>", "vendor": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "data": { "vendor": "JIRA", "accountType": "<string>" } } }
Successful Response
Leen's UUID for the User
Name of the User
Email of the User
Status of the User
ACTIVE
INACTIVE
DELETED
Vendor-specific attributes of the User
Show child attributes
Vendor's UUID for the User
Vendor name
Creation time of the User in Vendor
Last update time of the User in Vendor
Vendor-specific data associated with the User
JIRA
"JIRA"